<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ZoneListResponse StructType
 * @subpackage Structs
 */
class ZoneListResponse extends AbstractStructBase
{
    /**
     * The ZoneListRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $ZoneListRS;
    /**
     * Constructor method for ZoneListResponse
     * @uses ZoneListResponse::setZoneListRS()
     * @param \StructType\JP_StaticDataRS $zoneListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $zoneListRS = null)
    {
        $this
            ->setZoneListRS($zoneListRS);
    }
    /**
     * Get ZoneListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getZoneListRS()
    {
        return $this->ZoneListRS;
    }
    /**
     * Set ZoneListRS value
     * @param \StructType\JP_StaticDataRS $zoneListRS
     * @return \StructType\ZoneListResponse
     */
    public function setZoneListRS(\StructType\JP_StaticDataRS $zoneListRS = null)
    {
        $this->ZoneListRS = $zoneListRS;
        return $this;
    }
}
